> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Subscriber

> Add a subscriber to a schedule.



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json post /schedules/{schedule_id}/subscribers
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /schedules/{schedule_id}/subscribers:
    post:
      tags:
        - schedules
      summary: Add Subscriber
      description: Add a subscriber to a schedule.
      operationId: add_subscriber_schedules__schedule_id__subscribers_post
      parameters:
        - name: schedule_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Schedule ID
            title: Schedule Id
          description: Schedule ID
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriberCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandSubscriptionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SubscriberCreate:
      properties:
        user_id:
          type: string
          format: uuid
          title: User Id
      type: object
      required:
        - user_id
      title: SubscriberCreate
      description: Request body for adding a subscriber.
    CommandSubscriptionResponse:
      properties:
        schedule_id:
          type: string
          format: uuid
          title: Schedule Id
          description: ID of the schedule
        user_id:
          type: string
          format: uuid
          title: User Id
          description: ID of the subscribed user
        muted:
          type: boolean
          title: Muted
          description: Whether to skip runs for this user
          default: false
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - schedule_id
        - user_id
        - id
        - created_at
        - updated_at
      title: CommandSubscriptionResponse
      description: Response model for command subscription.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````